javax.websocket

## Class SessionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.websocket.SessionException

- All Implemented Interfaces:
    Serializable

      public class SessionException
      extends Exception

  A SessionException represents a general exception type reporting problems occurring on a websocket session.
  Author:
    dannycoward
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionException(String message, Throwable cause, Session session)` Creates a new instance of this exception with the given message, the wrapped cause of the exception and the session with which the problem is associated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Session` | `getSession()` Return the Session on which the problem occurred.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionException

          public SessionException(String message,
                          Throwable cause,
                          Session session)

      Creates a new instance of this exception with the given message, the wrapped cause of the exception and the session with which the problem is associated.
      Parameters:
        `message` - a description of the problem
        `cause` - the error that caused the problem
        `session` - the session on which the problem occurred.

  - ### Method Detail

    - #### getSession

          public Session getSession()

      Return the Session on which the problem occurred.
      Returns:
        the session

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.